Subject: Re: [PATCH 2/8] net: octeontx2: Use pure PCI devres API

From: Jakub Kicinski <[email-masked]>
Date: Wed, 23 Apr 2025 15:14:48 -0700

On Wed, 23 Apr 2025 10:38:01 +0200 Philipp Stanner wrote:
> > > This error path should be renamed. Could you also apply your
> > > conversion
> > > to drivers/net/ethernet/marvell/octeontx2/af/ ?  
> > 
> > Hm, those must have slipped me for some reason. Will reiterate with
> > them and the error path.  
> 
> Wait, false alarm. I actually did look at them and those in af/ don't
> seem to use the combination of pcim_enable_device() + pci_request_*
> 
> Only users of that combination have to be ported. Users of
> pci_enable_device() + pcim_* functions and pcim_enable_device() +
> pcim_* functions are fine.
> 
> Correct me if I missed the first mentioned combination up there.

I think you're right, there are apparently multiple but separate
drivers in that directory.